"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@dxcli/command");
const yeoman_environment_1 = require("yeoman-environment");
class AppCommand extends command_1.default {
    async run() {
        const env = yeoman_environment_1.createEnv();
        env.register(require.resolve('./generators/app'), 'dxcli:app');
        const options = this.flags.options ? this.flags.options.split(',') : [];
        await env.run('dxcli:app', { type: this.type, path: this.args.path, options, defaults: this.flags.defaults, force: this.flags.force });
    }
}
AppCommand.flags = {
    defaults: command_1.flags.boolean({ description: 'use defaults for every setting' }),
    options: command_1.flags.string({ description: '(typescript|semantic-release|mocha)' }),
    force: command_1.flags.boolean({ description: 'overwrite existing files' }),
};
AppCommand.args = [
    { name: 'path', required: false }
];
exports.default = AppCommand;
