/// <reference types="yeoman-generator" />
import * as Generator from 'yeoman-generator';
declare class App extends Generator {
    options: {
        defaults?: boolean;
        mocha: boolean;
        'semantic-release': boolean;
        typescript: boolean;
    };
    args: {
        [k: string]: string;
    };
    type: 'single' | 'multi' | 'plugin' | 'base';
    path: string;
    pjson: any;
    tsconfig: any;
    fromScratch: boolean;
    githubUser: string | undefined;
    answers: {
        name: string;
        description: string;
        version: string;
        engines: {
            node: string;
        };
        github: {
            repo: string;
            user: string;
        };
        author: string;
        files: string;
        license: string;
        options: {
            mocha: boolean;
            typescript: boolean;
            'semantic-release': boolean;
        };
    };
    mocha: boolean;
    semantic_release: boolean;
    ts: boolean;
    readonly _ext: string;
    constructor(args: any, opts: any);
    prompting(): Promise<void>;
    writing(): void;
    install(): void;
    private readonly _tsOutDir;
    private _gitignore();
    private _eslintignore();
    private _writeSingle();
    private _writeMulti();
    private _writePlugin();
    private _writeBase();
}
export = App;
